Bug 983894 - [Bug in Installation Guide]: Latest EAP version in chapter 12 - upgrade
[Bug in Installation Guide]: Latest EAP version in chapter 12 - upgrade
Status: CLOSED EOL
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Installation_Guide (Show other bugs)
5.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Scott Mumford
Katerina Odabasi
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 03:52 EDT by Pavel Janousek
Modified: 2015-07-02 20:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-02 20:44:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-07-12 03:52:28 EDT
Document URL: 
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Installation_Guide/index.html

Section Number and Name: 
Chapter 12

Describe the issue: 
Chapter 12 describes upgrade procedure to the latest 5.1.x version, But documentation is now for EAP-5.2.0 so for EAP-5.2.0 is the latest version 5.2.0 obviously, so this chapter needs several rephrases of affected sentences.

Suggestions for improvement: 
Use only 'the latest version', not exactly 5.1.x or 5.2.x in sentences.
Comment 1 Scott Mumford 2014-04-07 00:45:45 EDT
Each of the EAP 5 documents have entities for version numbers pre-formatted. The entity definitions have been updated in the Installation Guide and the version numbers now read correctly (5, 5.3, 5.3.0).

And updated version is available for review at:
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Installation_Guide/index.html#upgrading-via-rhn-from51
(disregard the legacy version number in the URL)
Comment 2 Pavel Janousek 2014-04-16 02:48:24 EDT
Current version doesn't make sense... there is a sentence like:
"An in-place upgrade from version 5.3.0 to the latest version is available for customers who have installed the platform using RPM." - we are testing 5.3.0 now, so the latest in the GA will be 5.3.0, this sentence needs to be rewritten.

Title of section 'Upgrade JBoss Enterprise Application Platform 5.3 to the latest 5.3.0 version using RPM' needs to be rewritten as well.
Comment 3 Scott Mumford 2014-04-16 21:26:26 EDT
Thanks for the feedback Pavel. I obviously neglected to proofread the section after I'd updated it.

I've adjusted the text so it makes sense now. I reintroduced 5.1 as the base upgrade version as the section was clearly written with that scenario in mind (did an RPM upgrade feature get added in 5.1?)

The changes are available at (1) version 5.3.0-4 or later.


1: http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Installation_Guide/index.html#upgrading-via-rhn-from51
Comment 4 Pavel Janousek 2014-04-22 06:21:22 EDT
One more update it is needed. Current version is 5.2.0 not, 5.1. as mentioned there.
Comment 5 Scott Mumford 2014-04-27 18:19:15 EDT
Pavel, can you point out where the document states that 5.1 is the latest version, as I can't see that it does. 

That section in particular is referring to upgrading from 5.1 to the latest version (5.3.0), is that what you're referring to?

If so, the reason it still reads that way is because the section was originally written for upgrades from 5.1 to a later version (probably 5.2). I didn't want to assume that the upgrade would function the same way for later upgrades (5.2 to 5.3, for instance).

If I can get confirmation that the upgrade process is the same across versions post-5.1, I'll be glad to edit references to be more generic so as to to avoid this needing to be reworked every release.
Comment 6 Pavel Janousek 2014-04-28 02:59:06 EDT
Hi Scott,

yes, the procedure is still the same, so the para should be more generic in that case.
Comment 7 Scott Mumford 2014-05-01 01:16:21 EDT
I've changed the title reference from 5.1 to simply 5. I couldn't see any other references to specific versions.

The content should now be generic enough to not require constant updating but still be useful.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Installation_Guide/index.html

(version 5.3.0-6 or later)

Note You need to log in before you can comment on or make changes to this bug.